unable to upgrade ubuntu from 14.04 to 16.04

Colin Law clanlaw at gmail.com
Sat Mar 26 09:23:16 UTC 2016


On 26 March 2016 at 09:10, 李白|字一日 <calidion at gmail.com> wrote:
> failed still.

Please don't top post, the convention on this list to to insert the
reply at appropriate point(s) in previous message.  Thanks.

Can you copy/paste the full output from
sudo  do-release-upgrade  -d

Colin

>
> 在筹划升级时,一个不可解决问题发生了:
>
> 这可能是由以下原因造成的:
> *升级为 Ubuntu 的预发行版本
> *运行目前的 Ubuntu 预发布版本
> *不是由 Ubuntu 提供的非官方软件包
>
> 如果这些都不生效,请在终端中使用命令 'ubuntu-bug ubuntu-release-upgrader-core' 来报告 bug。
>
>
> 2016-03-26 16:37 GMT+08:00 Colin Law <clanlaw at gmail.com>:
>>
>> On 26 March 2016 at 08:27, 李白|字一日 <calidion at gmail.com> wrote:
>> > hi, all
>> >
>> > I have tried many times to upgrade ubuntu from 14.04 to 16.04, but
>> > failed.
>> > with command:
>> > sudo update-manager -d
>> >
>> > it seems it is due to the gnome/gtk problems:
>> >
>> >
>> > debconf: 无法初始化前端界面:Gnome
>> > debconf: (Can't locate Gtk2.pm in @INC (you may need to install the Gtk2
>> > module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2
>> > /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5
>> > /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at
>> > /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 91.)
>>
>> First check that
>> sudo apt-get update && sudo apt-get dist-upgrade
>> shows no errors, then try
>>
>> sudo do-release-upgrade -d
>>
>> Colin
>>
>> --
>> ubuntu-users mailing list
>> ubuntu-users at lists.ubuntu.com
>> Modify settings or unsubscribe at:
>> https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
>
>
>
> --
> ubuntu-users mailing list
> ubuntu-users at lists.ubuntu.com
> Modify settings or unsubscribe at:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
>



More information about the ubuntu-users mailing list